<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
class Employee {
            constructor(name, age, salary) {
                this.name = name;
                this.age = age;
                this.salary = salary;
            }
            get nameInfo() {
                return this.name
            }
            get ageInfo() {
                return this.age
            }
            get salaryInfo() {
                return this.salary
            }
            set nameInfo(newName) {
                this.name = newName
            }
            set ageInfo(newAge) {
                this.age = newAge
            }
            set salaryInfo(newSalaryInfo) {
                this.salary = newSalaryInfo
            }
        }



        class Programmer extends Employee {
            constructor(name, age, salary, lang) {
                super(name, age, salary)
                this.lang = lang
            }

            get salaryInfo() {
                return this.salary * 3
            }

            set salaryInfo(newSalaryInfo) {
                this.salary = newSalaryInfo
            }


        }

        const programmerOne = new Programmer(
            'Ivan',
            20,
            4000,
            'html'
        )

        const programmerTwo = new Programmer(
            'Alex',
            20,
            6000,
            'js'
        )

        const programmerThree = new Programmer(
            'Alex',
            20,
            8000,
            'react'
        )
        
        console.log(programmerOne)
        console.log(programmerTwo)
        console.log(programmerThree)
    </script>
</body>
</html>
